FROM openjdk:17

ARG JAR_FILE=build/libs/CaliverseAdminAPI-stage.jar

COPY ${JAR_FILE} admintool.jar
#메모리 최소 2기가 최대 4기가
ENV JAVA_OPTS="-Xms2g -Xmx4g"
ENTRYPOINT ["java","-Dspring.profiles.active=stage","-jar","/admintool.jar"]